<?php

add_action( 'vc_before_init', 'osteo_pricing_table_integrateWithVC' );
function osteo_pricing_table_integrateWithVC() {
    vc_map( array(
        'name'                    => esc_html__( 'Osteo - Pricing Table for WPbackery', 'osteo-pricing-table' ),
        'base'                    => 'osteo_pricing_table',
        'show_settings_on_create' => true,
        'category'                => esc_html__( 'osteo-pricing-table', 'osteo-pricing-table' ),
        'params'                  => array(
            /**
             * Tab Name : Heading
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show Heading', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_heading_switch',
                'std'         => 'yes',
                'value'       => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',

                ],
                'save_always' => true,
            ),

            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_heading',
                'std'         => esc_html__( 'Professional', 'osteo-pricing-table' ),
                'dependency'  => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_color',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_color_hover',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_bg',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_bg_hover',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_heading_css_editor',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 36px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_heading_font_size',
                'std'              => '36px',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_heading_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_heading_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_heading_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Heading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_heading_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'dependency'       => array( 'element' => 'osteo_heading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Subheading
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show Subheading', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_subheading_switch',
                'std'         => 'yes',
                'value'       => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',

                ],
                'save_always' => true,
            ),

            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_subheading',
                'std'         => esc_html__( 'Perfect for Small to Medium Business', 'osteo-pricing-table' ),
                'dependency'  => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_color',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_color_hover',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_bg',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_bg_hover',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_subheading_css_editor',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 28px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_subheading_font_size',
                'std'              => '28px',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_subheading_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_subheading_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_subheading_text_transform',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Subheading', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_subheading_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'dependency'       => array( 'element' => 'osteo_subheading_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Trial
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show Trial', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_trial_switch',
                'std'         => 'yes',
                'value'       => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',

                ],
                'save_always' => true,
            ),

            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_trial',
                'std'         => esc_html__( 'Free Trial for 1 Month', 'osteo-pricing-table' ),
                'dependency'  => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_color',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_color_hover',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_bg',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_bg_hover',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_trial_css_editor',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 24px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_trial_font_size',
                'std'              => '24px',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_trial_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_trial_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_trial_text_transform',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Trial', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_trial_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'dependency'       => array( 'element' => 'osteo_trial_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Media
             */

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Show Media', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_media_switch',
                'std'              => 'no',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'save_always'      => true,
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Type', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Media', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_media_type',
                'std'         => 'icon',
                'value'       => [
                    esc_html__( 'Icon', 'osteo-pricing-table' )       => 'icon',
                    esc_html__( 'Image', 'osteo-pricing-table' )      => 'image',
                    esc_html__( 'Youtube', 'osteo-pricing-table' )    => 'youtube',
                    esc_html__( 'Vimeo', 'osteo-pricing-table' )      => 'vimeo',
                    esc_html__( 'Soundcloud', 'osteo-pricing-table' ) => 'soundcloud',
                    esc_html__( 'Popup', 'osteo-pricing-table' )      => 'popup',
                ],
                'dependency'  => array(
                    'element' => 'osteo_media_switch', 'value' => array( 'yes' ),
                ),
                'save_always' => true,
            ),

            array(
                'type'        => 'iconpicker',
                'heading'     => esc_html__( 'Select Icon', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Media', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_media_icon',
                'std'         => 'fa fa-star',
                'settings'    => array(
                    'emptyIcon'    => false,
                    'type'         => 'osteo_icon_set',
                    'iconsPerPage' => 200,
                ),
                'dependency'  => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'popup' ),
                ),
                'save_always' => true,
            ),

            array(
                'type'       => 'attach_image',
                'heading'    => esc_html__( 'Upload Image', 'osteo-pricing-table' ),
                'group'      => esc_html__( 'Media', 'osteo-pricing-table' ),
                'param_name' => 'osteo_media_image',
                'dependency' => array(
                    'element' => 'osteo_media_type', 'value' => array( 'image', 'popup' ),
                ),
            ),

            array(
                'type'             => 'textarea',
                'heading'          => esc_html__( 'Image Alt', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_media_image_alt',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'image', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textarea',
                'heading'          => esc_html__( 'Video ID', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_media_video_id',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'youtube', 'vimeo' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textarea',
                'heading'          => esc_html__( 'SoundCloud ID', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_media_soundcloud_id',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'soundcloud' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Video URL', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Media', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_media_video_url',
                'dependency'  => array(
                    'element' => 'osteo_media_type', 'value' => array( 'popup' ),
                ),
                'save_always' => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Icon Size', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_media_icon_size',
                'std'              => '16px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_icon_border',
                'std'              => '2px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Border Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_icon_border_color',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_icon_border_style',
                'std'              => 'dotted',
                'value'            => array(
                    esc_html__( 'Dotted', 'osteo-pricing-table' )  => 'dotted',
                    esc_html__( 'Dashed', 'osteo-pricing-table' )  => 'dashed',
                    esc_html__( 'Solid', 'osteo-pricing-table' )   => 'solid',
                    esc_html__( 'Double', 'osteo-pricing-table' )  => 'double',
                    esc_html__( 'Groove', 'osteo-pricing-table' )  => 'groove',
                    esc_html__( 'Ridge', 'osteo-pricing-table' )   => 'ridge',
                    esc_html__( 'Inset', 'osteo-pricing-table' )   => 'inset',
                    esc_html__( 'None', 'osteo-pricing-table' )    => 'none',
                    esc_html__( 'Outset', 'osteo-pricing-table' )  => 'outset',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Radius', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_icon_border_radius',
                'std'              => '8',
                'value'            => array(
                    esc_html__( '1px', 'osteo-pricing-table' )   => '1px',
                    esc_html__( '2px', 'osteo-pricing-table' )   => '2px',
                    esc_html__( '3px', 'osteo-pricing-table' )   => '3px',
                    esc_html__( '4px', 'osteo-pricing-table' )   => '4px',
                    esc_html__( '8px', 'osteo-pricing-table' )   => '8px',
                    esc_html__( '10px', 'osteo-pricing-table' )  => '10px',
                    esc_html__( '15px', 'osteo-pricing-table' )  => '15px',
                    esc_html__( '20px', 'osteo-pricing-table' )  => '20px',
                    esc_html__( '50px', 'osteo-pricing-table' )  => '50px',
                    esc_html__( '100px', 'osteo-pricing-table' ) => '100px',
                ),
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Width', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Dont use px', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_width',
                'std'              => '560',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'youtube', 'vimeo', 'soundcloud' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Height', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Dont use px', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_height',
                'std'              => '250',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'youtube', 'vimeo', 'soundcloud' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Width', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Dont use px', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_image_width',
                'std'              => '200',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'image' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Height', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Dont use px', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_image_height',
                'std'              => '250',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'image' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Icon Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_popup_color',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Icon Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_popup_color_hover',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Icon Background Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_popup_bg',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Icon Background Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_media_popup_bg_hover',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Top', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_padding_top',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'image', 'youtube', 'vimeo', 'soundcloud', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_padding_right',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'image', 'youtube', 'vimeo', 'soundcloud', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Bottom', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_padding_bottom',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'image', 'youtube', 'vimeo', 'soundcloud', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_padding_left',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon', 'image', 'youtube', 'vimeo', 'soundcloud', 'popup' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Top', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_margin_top',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Right', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_margin_right',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Bottom', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_margin_bottom',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Left', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Media', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_media_margin_left',
                'std'              => '0px',
                'dependency'       => array(
                    'element' => 'osteo_media_type', 'value' => array( 'icon' ),
                ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Price
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show Price', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Price', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_price_switch',
                'std'         => 'yes',
                'value'       => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'save_always' => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Before Currency Icon', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_before_currency_switch',
                'std'              => 'yes',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'After Currency Icon', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_after_currency_switch',
                'std'              => 'no',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'        => 'iconpicker',
                'heading'     => esc_html__( 'Select Icon', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Price', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_before_currency_icon',
                'std'         => 'fa fa-dollar',
                'settings'    => array(
                    'emptyIcon'    => false,
                    'type'         => 'osteo_icon_set',
                    'iconsPerPage' => 200,
                ),
                'dependency'  => array( 'element' => 'osteo_before_currency_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'        => 'iconpicker',
                'heading'     => esc_html__( 'Select Icon', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Price', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_after_currency_icon',
                'std'         => 'fa fa-dollar',
                'settings'    => array(
                    'emptyIcon'    => false,
                    'type'         => 'osteo_icon_set',
                    'iconsPerPage' => 200,
                ),
                'dependency'  => array( 'element' => 'osteo_after_currency_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Icon Size', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-4',
                'param_name'       => 'osteo_currency_icon_font_size',
                'std'              => '16px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-4',
                'param_name'       => 'osteo_currency_icon_color',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-4',
                'param_name'       => 'osteo_currency_icon_color_hover',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_currency_icon_padding_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_currency_icon_padding_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_currency_icon_margin_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_currency_icon_margin_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Price', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price',
                'std'              => '10',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Counter', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_counter',
                'std'              => 'count',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'count',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'counter',
                ],
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_counter_color',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_counter_color_hover',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 24px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_font_size',
                'std'              => '24px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_price_counter_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_padding_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_padding_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_margin_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_counter_margin_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Duration', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration',
                'std'              => 'Per Month',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Duration Line Break', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_line_break',
                'std'              => 'no',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => '',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'block',
                ],
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_color',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_color_hover',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 24px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_font_size',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_price_duration_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_padding_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_padding_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Left', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_margin_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Right', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_margin_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Show Duration Top', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top_switch',
                'std'              => 'no',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'dependency'       => array( 'element' => 'osteo_price_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Duration Top', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top',
                'std'              => 'Per Month',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top_color',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top_bg',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top_color_hover',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_price_duration_top_bg_hover',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Top', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_padding_top',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_padding_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Bottom', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_padding_bottom',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_padding_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Top', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_margin_top',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Right', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_margin_right',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Bottom', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_margin_bottom',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Margin Left', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_margin_left',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 24px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_font_size',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_price_duration_top_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Price', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_price_duration_top_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_price_duration_top_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Features
             */

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Features', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_features_bg',
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Features', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_features_bg_hover',
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Features', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_features_css_editor',
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Features', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_features_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'save_always'      => true,
            ),

            array(
                'type'       => 'param_group',
                'group'      => esc_html__( 'Features', 'osteo-pricing-table' ),
                'param_name' => 'features_list',
                'params'     => array(
                    array(
                        'type'        => 'iconpicker',
                        'heading'     => esc_html__( 'Select Icon', 'osteo-pricing-table' ),
                        'param_name'  => 'osteo_single_features_icon',
                        'std'         => 'fa fa-check',
                        'settings'    => array(
                            'emptyIcon'    => false,
                            'type'         => 'osteo_icon_set',
                            'iconsPerPage' => 200,
                        ),
                        'save_always' => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Icon Color', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_icon_color',
                        'std'              => '#222',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Icon Size', 'osteo-pricing-table' ),
                        'description'      => esc_html__( 'Value with px. (Ex: 18px)', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_icon_size',
                        'std'              => '14px',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Icon (Padding Left)', 'osteo-pricing-table' ),
                        'description'      => esc_html__( 'Value with px. (Ex: 18px)', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_icon_padding_left',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Icon (Padding Right)', 'osteo-pricing-table' ),
                        'description'      => esc_html__( 'Value with px. (Ex: 18px)', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_icon_padding_right',
                        'save_always'      => true,
                    ),

                    array(
                        'type'        => 'textarea',
                        'heading'     => esc_html__( 'Text', 'osteo-pricing-table' ),
                        'param_name'  => 'osteo_single_features_text',
                        'std'         => esc_html__( '10 GB SSD Hosting', 'osteo-pricing-table' ),
                        'save_always' => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_color',
                        'std'              => '#222',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_color_hover',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_bg',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_bg_hover',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Delete Sign', 'osteo-pricing-table' ),
                        'group'            => esc_html__( 'Features', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_del',
                        'std'              => 'no',
                        'value'            => [
                            esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                            esc_html__( 'Yes', 'osteo-pricing-table' ) => 'del',

                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Delete Color', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_del_color',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'css_editor',
                        'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_single_features_css_editor',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_single_features_font_size',
                        'std'              => '14px',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_single_features_font_weight',
                        'std'              => '400',
                        'value'            => array(
                            esc_html__( '100', 'osteo-pricing-table' )     => '100',
                            esc_html__( '200', 'osteo-pricing-table' )     => '200',
                            esc_html__( '300', 'osteo-pricing-table' )     => '300',
                            esc_html__( '400', 'osteo-pricing-table' )     => '400',
                            esc_html__( '500', 'osteo-pricing-table' )     => '500',
                            esc_html__( '600', 'osteo-pricing-table' )     => '600',
                            esc_html__( '700', 'osteo-pricing-table' )     => '700',
                            esc_html__( '800', 'osteo-pricing-table' )     => '800',
                            esc_html__( '900', 'osteo-pricing-table' )     => '900',
                            esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                            esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                            esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                        ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_single_features_font_style',
                        'std'              => 'normal',
                        'value'            => array(
                            esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                            esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                            esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                            esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                            esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                        ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_single_features_text_transform',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                            esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                            esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                            esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                            esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                            esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                        ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_letter_spacing',
                        'std'              => '0px',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_box_shadow',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                            esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                            esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                            esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                            esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                            esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                            esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                            esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                            esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                            esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                            esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                            esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                            esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                            esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                            esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                            esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                            esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                            esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                            esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                            esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                            esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                            esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                            esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                            esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                            esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                            esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                            esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                            esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                            esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                            esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                            esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                            esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                            esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                            esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                            esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                            esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                            esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                            esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                            esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                            esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                            esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                            esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                            esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                            esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                            esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                            esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                            esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                            esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                            esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                            esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                            esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                            esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                            esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                            esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                            esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                            esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                            esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                        ),
                        'save_always'      => true,
                    ),
                    
                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Transition', 'osteo-pricing-table' ),
                        'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_single_features_transition',
                        'std'              => '.5s',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-pricing-table' ) => 'none',
                            esc_html__( '.3s', 'osteo-pricing-table' )  => '.3s',
                            esc_html__( '.5s', 'osteo-pricing-table' )  => '.5s',
                            esc_html__( '.7s', 'osteo-pricing-table' )  => '.7s',
                            esc_html__( '.9s', 'osteo-pricing-table' )  => '.9s',
                            esc_html__( '1s', 'osteo-pricing-table' )   => '1s',
                            esc_html__( '1.3s', 'osteo-pricing-table' ) => '1.3s',
                            esc_html__( '1.5s', 'osteo-pricing-table' ) => '1.5s',
                            esc_html__( '1.7s', 'osteo-pricing-table' ) => '1.7s',
                            esc_html__( '1.9s', 'osteo-pricing-table' ) => '1.9s',
                            esc_html__( '2s', 'osteo-pricing-table' )   => '2s',
                            esc_html__( '2.3s', 'osteo-pricing-table' ) => '2.3s',
                            esc_html__( '2.5s', 'osteo-pricing-table' ) => '2.5s',
                            esc_html__( '2.7s', 'osteo-pricing-table' ) => '2.7s',
                            esc_html__( '2.9s', 'osteo-pricing-table' ) => '2.9s',
                            esc_html__( '3s', 'osteo-pricing-table' )   => '3s',
                        ),
                        'save_always'      => true,
                    ),
                ),
            ),

            /**
             * Tab Name : Button
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show Button', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Button', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_button_switch',
                'std'         => 'yes',
                'value'       => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',

                ],
                'save_always' => true,
            ),

            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Button URL', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Button', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_button_url',
                'dependency'  => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Button Text', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Button', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_button_title',
                'std'         => esc_html__( 'Buy Now', 'osteo-pricing-table' ),
                'dependency'  => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always' => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_color',
                'std'              => '#fff',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover ', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_color_hover',
                'std'              => '#fff',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_bg',
                'std'              => '#4CAF50',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_bg_hover',
                'std'              => '#2196F3',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Effect', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_effect',
                'std'              => 'cmk-slide-left',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )                => 'none',
                    esc_html__( 'DownUp', 'osteo-pricing-table' )              => 'cmk-downup',
                    esc_html__( 'UpDown', 'osteo-pricing-table' )              => 'cmk-updown',
                    esc_html__( 'SlideIn Vertical', 'osteo-pricing-table' )    => 'cmk-slide-in-vertical',
                    esc_html__( 'SlideIn Horizontal', 'osteo-pricing-table' )  => 'cmk-slide-in-horizontal',
                    esc_html__( 'SlideOut Vertical', 'osteo-pricing-table' )   => 'cmk-slide-out-vertical',
                    esc_html__( 'SlideOut Horizontal', 'osteo-pricing-table' ) => 'cmk-slide-out-horizontal',
                    esc_html__( 'Slide Left', 'osteo-pricing-table' )          => 'cmk-slide-left',
                    esc_html__( 'Slide Right', 'osteo-pricing-table' )         => 'cmk-slide-right',
                    esc_html__( 'Slide Up', 'osteo-pricing-table' )            => 'cmk-slide-up',
                    esc_html__( 'Slide Down', 'osteo-pricing-table' )          => 'cmk-slide-down',
                    esc_html__( 'SlideOut Horizontal', 'osteo-pricing-table' ) => 'cmk-slideout-horizontal',
                    esc_html__( 'SlideOut Vertical', 'osteo-pricing-table' )   => 'cmk-slideout-vertical',
                    esc_html__( 'Rotate Left', 'osteo-pricing-table' )         => 'cmk-rotate-left',
                    esc_html__( 'Rotate Right', 'osteo-pricing-table' )        => 'cmk-rotate-right',
                    esc_html__( 'Bounce Left', 'osteo-pricing-table' )         => 'cmk-bounce-left',
                    esc_html__( 'Bounce Right', 'osteo-pricing-table' )        => 'cmk-bounce-right',
                    esc_html__( 'Bounce Up', 'osteo-pricing-table' )           => 'cmk-bounce-up',
                    esc_html__( 'Bounce Down', 'osteo-pricing-table' )         => 'cmk-bounce-down',
                    esc_html__( 'Double Slide Left', 'osteo-pricing-table' )   => 'cmk-double-slide-left',
                    esc_html__( 'Double Slide Right', 'osteo-pricing-table' )  => 'cmk-double-slide-right',
                    esc_html__( 'Double Slide Up', 'osteo-pricing-table' )     => 'cmk-double-slide-up',
                    esc_html__( 'Double Slide Down', 'osteo-pricing-table' )   => 'cmk-double-slide-down',
                    esc_html__( 'Line Left', 'osteo-pricing-table' )           => 'cmk-line-left',
                    esc_html__( 'Line Right', 'osteo-pricing-table' )          => 'cmk-line-right',
                    esc_html__( 'LineIn Vertical', 'osteo-pricing-table' )     => 'cmk-line-in-vertical',
                    esc_html__( 'LineOut Vertical', 'osteo-pricing-table' )    => 'cmk-line-out-vertical',
                    esc_html__( 'LineIn Horizontal', 'osteo-pricing-table' )   => 'cmk-line-in-horizontal',
                    esc_html__( 'LineOut Horizontal', 'osteo-pricing-table' )  => 'cmk-line-out-horizontal',
                    esc_html__( 'Line Bounce Left', 'osteo-pricing-table' )    => 'cmk-line-bounce-left',
                    esc_html__( 'Line Bounce Right', 'osteo-pricing-table' )   => 'cmk-line-bounce-right',
                    esc_html__( 'Double Line Left', 'osteo-pricing-table' )    => 'cmk-double-line-left',
                    esc_html__( 'Double Line Right', 'osteo-pricing-table' )   => 'cmk-double-line-right',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Button Size', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_size',
                'value'            => array(
                    esc_html__( 'Extra Small', 'osteo-pricing-table' ) => 'xs',
                    esc_html__( 'Small', 'osteo-pricing-table' )       => 'sm',
                    esc_html__( 'Medium', 'osteo-pricing-table' )      => 'md',
                    esc_html__( 'Large', 'osteo-pricing-table' )       => 'lg',
                    esc_html__( 'Extra Large', 'osteo-pricing-table' ) => 'xl',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_button_css_editor',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 16px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_button_font_size',
                'std'              => '14px',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_button_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_button_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_button_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Button', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_button_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'dependency'       => array( 'element' => 'osteo_button_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Special Note
             */

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Show Special Note', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_special_note_switch',
                'std'              => 'no',
                'value'            => [
                    esc_html__( 'No', 'osteo-pricing-table' )  => 'no',
                    esc_html__( 'Yes', 'osteo-pricing-table' ) => 'yes',
                ],
                'save_always'      => true,
            ),

            array(
                'type'             => 'textarea',
                'heading'          => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_special_note',
                'std'              => '10% Discount',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_special_note_color',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color Hover', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_special_note_color_hover',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'css_editor',
                'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_special_note_css_editor',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Font Size', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 24px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_special_note_font_size',
                'std'              => '18px',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Weight', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_special_note_font_weight',
                'std'              => '400',
                'value'            => array(
                    esc_html__( '100', 'osteo-pricing-table' )     => '100',
                    esc_html__( '200', 'osteo-pricing-table' )     => '200',
                    esc_html__( '300', 'osteo-pricing-table' )     => '300',
                    esc_html__( '400', 'osteo-pricing-table' )     => '400',
                    esc_html__( '500', 'osteo-pricing-table' )     => '500',
                    esc_html__( '600', 'osteo-pricing-table' )     => '600',
                    esc_html__( '700', 'osteo-pricing-table' )     => '700',
                    esc_html__( '800', 'osteo-pricing-table' )     => '800',
                    esc_html__( '900', 'osteo-pricing-table' )     => '900',
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Bold', 'osteo-pricing-table' )    => 'bold',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                ),
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Font Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_special_note_font_style',
                'std'              => 'normal',
                'value'            => array(
                    esc_html__( 'Normal', 'osteo-pricing-table' )  => 'normal',
                    esc_html__( 'Italic', 'osteo-pricing-table' )  => 'italic',
                    esc_html__( 'Oblique', 'osteo-pricing-table' ) => 'oblique',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transform', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_special_note_text_transform',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )       => 'none',
                    esc_html__( 'Capitalize', 'osteo-pricing-table' ) => 'capitalize',
                    esc_html__( 'Uppercase', 'osteo-pricing-table' )  => 'uppercase',
                    esc_html__( 'Lowercase', 'osteo-pricing-table' )  => 'lowercase',
                    esc_html__( 'Initial', 'osteo-pricing-table' )    => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' )    => 'inherit',
                ),
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Letter Spacing', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Example: 12px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Special Note', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_special_note_letter_spacing',
                'std'              => '0px',
                'dependency'       => array( 'element' => 'osteo_special_note_switch', 'value' => array( 'yes' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Ribbon
             */

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Ribbon Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Ribbon', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_ribbon',
                'std'              => 'left',
                'value'            => [
                    esc_html__( 'None', 'osteo-pricing-table' )    => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' ) => 'ribbon-style-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' ) => 'ribbon-style-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' ) => 'ribbon-style-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' ) => 'ribbon-style-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' ) => 'ribbon-style-5',
                ],
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Ribbon', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_ribbon_color',
                'dependency'       => array( 'element' => 'osteo_ribbon', 'value' => array( 'ribbon-style-1', 'ribbon-style-2', 'ribbon-style-3', 'ribbon-style-4' ) ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Ribbon', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_ribbon_bg',
                'dependency'       => array( 'element' => 'osteo_ribbon', 'value' => array( 'ribbon-style-1', 'ribbon-style-2', 'ribbon-style-3', 'ribbon-style-4', 'ribbon-style-5' ) ),
                'save_always'      => true,
            ),

            /**
             * Tab Name : Settings
             */

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Type', 'osteo-pricing-table' ),
                'group'       => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'param_name'  => 'osteo_style',
                'std'         => 'style-1',
                'value'       => [
                    esc_html__( 'Style 1', 'osteo-pricing-table' ) => 'style-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' ) => 'style-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' ) => 'style-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' ) => 'style-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' ) => 'style-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' ) => 'style-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' ) => 'style-7',
                ],
                'save_always' => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Text Align', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_settings_text_align',
                'std'              => 'left',
                'value'            => [
                    esc_html__( 'Left', 'osteo-pricing-table' )   => 'left',
                    esc_html__( 'Center', 'osteo-pricing-table' ) => 'center',
                    esc_html__( 'Right', 'osteo-pricing-table' )  => 'right',
                ],
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Transition', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_settings_transition',
                'std'              => '.5s',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' ) => 'none',
                    esc_html__( '.3s', 'osteo-pricing-table' )  => '.3s',
                    esc_html__( '.5s', 'osteo-pricing-table' )  => '.5s',
                    esc_html__( '.7s', 'osteo-pricing-table' )  => '.7s',
                    esc_html__( '.9s', 'osteo-pricing-table' )  => '.9s',
                    esc_html__( '1s', 'osteo-pricing-table' )   => '1s',
                    esc_html__( '1.3s', 'osteo-pricing-table' ) => '1.3s',
                    esc_html__( '1.5s', 'osteo-pricing-table' ) => '1.5s',
                    esc_html__( '1.7s', 'osteo-pricing-table' ) => '1.7s',
                    esc_html__( '1.9s', 'osteo-pricing-table' ) => '1.9s',
                    esc_html__( '2s', 'osteo-pricing-table' )   => '2s',
                    esc_html__( '2.3s', 'osteo-pricing-table' ) => '2.3s',
                    esc_html__( '2.5s', 'osteo-pricing-table' ) => '2.5s',
                    esc_html__( '2.7s', 'osteo-pricing-table' ) => '2.7s',
                    esc_html__( '2.9s', 'osteo-pricing-table' ) => '2.9s',
                    esc_html__( '3s', 'osteo-pricing-table' )   => '3s',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Border', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border',
                'std'              => '0px',
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Border Color', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_color',
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Style', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_style',
                'std'              => 'dotted',
                'value'            => array(
                    esc_html__( 'Dotted', 'osteo-pricing-table' )  => 'dotted',
                    esc_html__( 'Dashed', 'osteo-pricing-table' )  => 'dashed',
                    esc_html__( 'Solid', 'osteo-pricing-table' )   => 'solid',
                    esc_html__( 'Double', 'osteo-pricing-table' )  => 'double',
                    esc_html__( 'Groove', 'osteo-pricing-table' )  => 'groove',
                    esc_html__( 'Ridge', 'osteo-pricing-table' )   => 'ridge',
                    esc_html__( 'Inset', 'osteo-pricing-table' )   => 'inset',
                    esc_html__( 'None', 'osteo-pricing-table' )    => 'none',
                    esc_html__( 'Outset', 'osteo-pricing-table' )  => 'outset',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Radius', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_radius',
                'std'              => '0px',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )  => '0px',
                    esc_html__( '4px', 'osteo-pricing-table' )   => '4px',
                    esc_html__( '5px', 'osteo-pricing-table' )   => '5px',
                    esc_html__( '8px', 'osteo-pricing-table' )   => '8px',
                    esc_html__( '10px', 'osteo-pricing-table' )  => '10px',
                    esc_html__( '15px', 'osteo-pricing-table' )  => '15px',
                    esc_html__( '20px', 'osteo-pricing-table' )  => '20px',
                    esc_html__( '25px', 'osteo-pricing-table' )  => '25px',
                    esc_html__( '30px', 'osteo-pricing-table' )  => '30px',
                    esc_html__( '35px', 'osteo-pricing-table' )  => '35px',
                    esc_html__( '50px', 'osteo-pricing-table' )  => '50px',
                    esc_html__( '100px', 'osteo-pricing-table' ) => '100px',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Border (Hover)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_hover',
                'std'              => '0px',
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Border Color (Hover)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_color_hover',
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Style (Hover)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_style_hover',
                'std'              => 'dotted',
                'value'            => array(
                    esc_html__( 'Dotted', 'osteo-pricing-table' )  => 'dotted',
                    esc_html__( 'Dashed', 'osteo-pricing-table' )  => 'dashed',
                    esc_html__( 'Solid', 'osteo-pricing-table' )   => 'solid',
                    esc_html__( 'Double', 'osteo-pricing-table' )  => 'double',
                    esc_html__( 'Groove', 'osteo-pricing-table' )  => 'groove',
                    esc_html__( 'Ridge', 'osteo-pricing-table' )   => 'ridge',
                    esc_html__( 'Inset', 'osteo-pricing-table' )   => 'inset',
                    esc_html__( 'None', 'osteo-pricing-table' )    => 'none',
                    esc_html__( 'Outset', 'osteo-pricing-table' )  => 'outset',
                    esc_html__( 'Initial', 'osteo-pricing-table' ) => 'initial',
                    esc_html__( 'Inherit', 'osteo-pricing-table' ) => 'inherit',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Border Radius (Hover)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_border_radius_hover',
                'std'              => '0px',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )  => '0px',
                    esc_html__( '4px', 'osteo-pricing-table' )   => '4px',
                    esc_html__( '5px', 'osteo-pricing-table' )   => '5px',
                    esc_html__( '8px', 'osteo-pricing-table' )   => '8px',
                    esc_html__( '10px', 'osteo-pricing-table' )  => '10px',
                    esc_html__( '15px', 'osteo-pricing-table' )  => '15px',
                    esc_html__( '20px', 'osteo-pricing-table' )  => '20px',
                    esc_html__( '25px', 'osteo-pricing-table' )  => '25px',
                    esc_html__( '30px', 'osteo-pricing-table' )  => '30px',
                    esc_html__( '35px', 'osteo-pricing-table' )  => '35px',
                    esc_html__( '50px', 'osteo-pricing-table' )  => '50px',
                    esc_html__( '100px', 'osteo-pricing-table' ) => '100px',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_settings_bg',
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Background (Hover)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_settings_bg_hover',
                'save_always'      => true,
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Box Shadow', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_settings_box_shadow',
                'std'              => 'none',
                'value'            => array(
                    esc_html__( 'None', 'osteo-pricing-table' )     => 'none',
                    esc_html__( 'Style 1', 'osteo-pricing-table' )  => 'cmk-shadow-1',
                    esc_html__( 'Style 2', 'osteo-pricing-table' )  => 'cmk-shadow-2',
                    esc_html__( 'Style 3', 'osteo-pricing-table' )  => 'cmk-shadow-3',
                    esc_html__( 'Style 4', 'osteo-pricing-table' )  => 'cmk-shadow-4',
                    esc_html__( 'Style 5', 'osteo-pricing-table' )  => 'cmk-shadow-5',
                    esc_html__( 'Style 6', 'osteo-pricing-table' )  => 'cmk-shadow-6',
                    esc_html__( 'Style 7', 'osteo-pricing-table' )  => 'cmk-shadow-7',
                    esc_html__( 'Style 8', 'osteo-pricing-table' )  => 'cmk-shadow-8',
                    esc_html__( 'Style 9', 'osteo-pricing-table' )  => 'cmk-shadow-9',
                    esc_html__( 'Style 10', 'osteo-pricing-table' ) => 'cmk-shadow-10',
                    esc_html__( 'Style 11', 'osteo-pricing-table' ) => 'cmk-shadow-11',
                    esc_html__( 'Style 12', 'osteo-pricing-table' ) => 'cmk-shadow-12',
                    esc_html__( 'Style 13', 'osteo-pricing-table' ) => 'cmk-shadow-13',
                    esc_html__( 'Style 14', 'osteo-pricing-table' ) => 'cmk-shadow-14',
                    esc_html__( 'Style 15', 'osteo-pricing-table' ) => 'cmk-shadow-15',
                    esc_html__( 'Style 16', 'osteo-pricing-table' ) => 'cmk-shadow-16',
                    esc_html__( 'Style 17', 'osteo-pricing-table' ) => 'cmk-shadow-17',
                    esc_html__( 'Style 18', 'osteo-pricing-table' ) => 'cmk-shadow-18',
                    esc_html__( 'Style 19', 'osteo-pricing-table' ) => 'cmk-shadow-19',
                    esc_html__( 'Style 20', 'osteo-pricing-table' ) => 'cmk-shadow-20',
                    esc_html__( 'Style 21', 'osteo-pricing-table' ) => 'cmk-shadow-21',
                    esc_html__( 'Style 22', 'osteo-pricing-table' ) => 'cmk-shadow-22',
                    esc_html__( 'Style 23', 'osteo-pricing-table' ) => 'cmk-shadow-23',
                    esc_html__( 'Style 24', 'osteo-pricing-table' ) => 'cmk-shadow-24',
                    esc_html__( 'Style 25', 'osteo-pricing-table' ) => 'cmk-shadow-25',
                    esc_html__( 'Style 26', 'osteo-pricing-table' ) => 'cmk-shadow-26',
                    esc_html__( 'Style 27', 'osteo-pricing-table' ) => 'cmk-shadow-27',
                    esc_html__( 'Style 28', 'osteo-pricing-table' ) => 'cmk-shadow-28',
                    esc_html__( 'Style 29', 'osteo-pricing-table' ) => 'cmk-shadow-29',
                    esc_html__( 'Style 30', 'osteo-pricing-table' ) => 'cmk-shadow-30',
                    esc_html__( 'Style 31', 'osteo-pricing-table' ) => 'cmk-shadow-31',
                    esc_html__( 'Style 32', 'osteo-pricing-table' ) => 'cmk-shadow-32',
                    esc_html__( 'Style 33', 'osteo-pricing-table' ) => 'cmk-shadow-33',
                    esc_html__( 'Style 34', 'osteo-pricing-table' ) => 'cmk-shadow-34',
                    esc_html__( 'Style 35', 'osteo-pricing-table' ) => 'cmk-shadow-35',
                    esc_html__( 'Style 36', 'osteo-pricing-table' ) => 'cmk-shadow-36',
                    esc_html__( 'Style 37', 'osteo-pricing-table' ) => 'cmk-shadow-37',
                    esc_html__( 'Style 38', 'osteo-pricing-table' ) => 'cmk-shadow-38',
                    esc_html__( 'Style 39', 'osteo-pricing-table' ) => 'cmk-shadow-39',
                    esc_html__( 'Style 40', 'osteo-pricing-table' ) => 'cmk-shadow-40',
                    esc_html__( 'Style 41', 'osteo-pricing-table' ) => 'cmk-shadow-41',
                    esc_html__( 'Style 42', 'osteo-pricing-table' ) => 'cmk-shadow-42',
                    esc_html__( 'Style 43', 'osteo-pricing-table' ) => 'cmk-shadow-43',
                    esc_html__( 'Style 44', 'osteo-pricing-table' ) => 'cmk-shadow-44',
                    esc_html__( 'Style 45', 'osteo-pricing-table' ) => 'cmk-shadow-45',
                    esc_html__( 'Style 46', 'osteo-pricing-table' ) => 'cmk-shadow-46',
                    esc_html__( 'Style 47', 'osteo-pricing-table' ) => 'cmk-shadow-47',
                    esc_html__( 'Style 48', 'osteo-pricing-table' ) => 'cmk-shadow-48',
                    esc_html__( 'Style 49', 'osteo-pricing-table' ) => 'cmk-shadow-49',
                    esc_html__( 'Style 50', 'osteo-pricing-table' ) => 'cmk-shadow-50',
                    esc_html__( 'Style 51', 'osteo-pricing-table' ) => 'cmk-shadow-51',
                    esc_html__( 'Style 52', 'osteo-pricing-table' ) => 'cmk-shadow-52',
                    esc_html__( 'Style 53', 'osteo-pricing-table' ) => 'cmk-shadow-53',
                    esc_html__( 'Style 54', 'osteo-pricing-table' ) => 'cmk-shadow-54',
                    esc_html__( 'Style 55', 'osteo-pricing-table' ) => 'cmk-shadow-55',
                    esc_html__( 'Style 56', 'osteo-pricing-table' ) => 'cmk-shadow-56',
                ),
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Top', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_padding_top',
                'std'              => '0px',
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Right', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_padding_right',
                'std'              => '0px',
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Bottom', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_padding_bottom',
                'std'              => '0px',
                'save_always'      => true,
            ),

            array(
                'type'             => 'textfield',
                'heading'          => esc_html__( 'Padding Left', 'osteo-pricing-table' ),
                'description'      => esc_html__( 'Value with px. (Ex: 20px)', 'osteo-pricing-table' ),
                'group'            => esc_html__( 'Settings', 'osteo-pricing-table' ),
                'edit_field_class' => 'vc_col-sm-3',
                'param_name'       => 'osteo_settings_padding_left',
                'std'              => '0px',
                'save_always'      => true,
            ),

        ),
    ) );

}